import { acceptHMRUpdate, defineStore } from 'pinia'
import type { RouteRecordRaw } from 'vue-router'

export const useMenuStore = defineStore('MENU', () => {
  const menuList = $ref<RouteRecordRaw[]>([])
  return {
    menuList,
  }
}, { persist: true })

if (import.meta.hot)
  import.meta.hot.accept(acceptHMRUpdate(useMenuStore as any, import.meta.hot))
